#ifndef __SHIP__
#define __SHIP__

#include <stdlib.h>
#include "Vec3f.h"

class AABoundBox;
class VertexBufferObject;

class Ship
{
public:

	Ship();

	virtual ~Ship();

	AABoundBox* getBoundingBox();

	void render();

protected:
	
	AABoundBox* bbox;
	VertexBufferObject* vbo;
};

#endif __SHIP__